
<h2>Registration</h2>
<form [formGroup]="registrationForm" (ngSubmit)="onSubmit()">
  <div class="form-items">
    <label>Name</label>
    <input type="text" formControlName="name">
    <div *ngIf="registrationForm.get('name').invalid && registrationForm.get('name').touched">
      <div *ngIf="registrationForm.get('name').hasError('required')">Name is required</div>
    </div>
  </div>
  <div class="form-items">
    <label>Email</label>
    <input type="email" formControlName="email">
    <div *ngIf="registrationForm.get('email').invalid && registrationForm.get('email').touched">
      <div *ngIf="registrationForm.get('email').hasError('required')">Email is required</div>
      <div *ngIf="registrationForm.get('email').hasError('email')">Invalid email format</div>
    </div>
  </div>
  <div class="form-items">
    <label>Password</label>
    <input type="password" formControlName="password">
    <div *ngIf="registrationForm.get('password').invalid && registrationForm.get('password').touched">
      <div *ngIf="registrationForm.get('password').hasError('required')">Password is required</div>
      <div *ngIf="registrationForm.get('password').hasError('minlength')">Password must be at least 6 characters long</div>
    </div>
  </div>
  <div class="form-items">
    <label>Employee ID</label>
    <input type="text" formControlName="empId">
    <div *ngIf="registrationForm.get('empId').invalid && registrationForm.get('empId').touched">
      <div *ngIf="registrationForm.get('empId').hasError('required')">Employee ID is required</div>
    </div>
  </div>
  <div class="form-items">
    <label>mobile</label>
    <input type="text" formControlName="mobile">
    <div *ngIf="registrationForm.get('mobile').invalid && registrationForm.get('mobile').touched">
      <div *ngIf="registrationForm.get('mobile').hasError('mobile')">Phone is required</div>
    </div>
  </div>
  <div class="form-items">
    <label >Date of Birth</label>
    <input type="date" formControlName="dob">
    <div *ngIf="registrationForm.get('dob').invalid && registrationForm.get('dob').touched">
      <div *ngIf="registrationForm.get('dob').hasError('required')">Date of Birth is required</div>
    </div>
  </div>
  <div class="form-items">
    <label>Make Manager</label>
    <input type="checkbox" formControlName="makeManager">
  </div>
  <div class="buttons">
    <button type="submit" [disabled]="registrationForm.invalid">Register</button>
    <button type="button" (click)="dialogRef.close()">Cancel</button>
  </div>
</form>
